hbase-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew Purtell (JIRA)" <j...@apache.org>
Subject [jira] [Created] (HBASE-19217) Update supplemental-models.xml for jetty-sslengine
Date Wed, 08 Nov 2017 17:22:00 GMT
Andrew Purtell created HBASE-19217:

             Summary: Update supplemental-models.xml for jetty-sslengine
                 Key: HBASE-19217
                 URL: https://issues.apache.org/jira/browse/HBASE-19217
             Project: HBase
          Issue Type: Task
    Affects Versions: 3.0.0
            Reporter: Andrew Purtell
            Assignee: Andrew Purtell
             Fix For: 2.0.0, 3.0.0, 1.4.0, 1.5.0

Build error due to ambiguous license description in POM for jetty-sslengine. New dependency
probably coming in after updating default Hadoop version for build to 2.7.4. In any case,
update supplemental-models.xml.

[INFO] --- maven-enforcer-plugin:3.0.0-M1:enforce (check-aggregate-license) @ hbase-assembly
[WARNING] Rule 0: org.apache.maven.plugins.enforcer.EvaluateBeanshell failed with message:
License errors detected, for more detail find ERROR in

This product includes Jetty SSLEngine licensed under the Apache License Version 2.

ERROR: Please check ^^^^^^^^^^^^ this License for acceptability here:


If it is okay, then update the list named 'non_aggregate_fine' in the LICENSE.vm file.
If it isn't okay, then revert the change that added the dependency.

More info on the dependency:


maven central search
g:org.mortbay.jetty AND a:jetty-sslengine AND v:6.1.26

project website
project source

This message was sent by Atlassian JIRA

View raw message